import { ChromiumBrowser, BrowserContext, Page, LaunchOptions, Locator, BrowserContextOptions, Response } from "playwright-core";
interface Options {
    headless?: boolean;
    addCookies?: BrowserContext["addCookies"] | [];
    proxy?: {
        [index: string]: string | string[];
        username: string;
        password: string;
        items: string[];
    } | null;
    imageEnable?: boolean;
    webFontEnable?: boolean;
    browserSize?: BrowserContextOptions["viewport"];
}
interface customFunction {
    (page: Page, response: Response, result: boolean): void;
}
interface watchResponseOptions {
    [index: string]: string | number | customFunction;
    domain: string;
    path: string;
    status: number;
    contentType: string;
}
export declare class Scraping {
    browser: ChromiumBrowser | null;
    context: BrowserContext | null;
    page: Page | null;
    options: LaunchOptions;
    addCookies: Options["addCookies"];
    browserSize: Options["browserSize"];
    /** ================================================ **/
    constructor(options?: Options);
    /** ================================================ **/
    start(): Promise<string>;
    /** ================================================ **/
    /** ================================================ **/
    /** ================================================ **/
    private initialBrowser;
    /** ================================================ **/
    private setCookies;
    /** ================================================ **/
    private setOptionProxy;
    /** ================================================ **/
    private getTheProxyByRandom;
    /** ================================================ **/
    private setOptionImage;
    /** ================================================ **/
    private setOptionWebFont;
    /** ================================================ **/
    eachElementFunction(elements: Locator, func: (element: Locator) => void): Promise<void>;
    /** ================================================ **/
    watchResponse({ domain, path, status, contentType }: watchResponseOptions, customFunction: (page: Page, response: Response, result: boolean) => void): void;
    getPropsNextJS(): Promise<unknown>;
}
export {};
//# sourceMappingURL=index.d.ts.map